Subject: Re: bug#33864: 27.0.50; Display corruption with "small" font size when something is in the fringe

From: Dale Sedivec <[email-masked]>
Date: Tue, 25 Dec 2018 13:06:04 -0600

On Tue, Dec 25, 2018 at 12:39 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Dale Sedivec <[email-masked]>
> > Date: Tue, 25 Dec 2018 12:30:01 -0600
> > Cc: [email-masked]
> >
> > > Does it help to decrease the size of the Flymake's fringe indicators
> > > when you switch to a smaller font?  From the screenshot it looks like
> > > the indicator keeps its original size although the font becomes a lot
> > > smaller.
> >
> > I think I did what you ask by making a bitmap with just a single pixel
> > turned on:
> >
> > (define-fringe-bitmap 'smallest
> >     (vector #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00010000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000
> >             #b00000000))
> >
> > (setq flymake-note-bitmap '(smallest compilation-info))
[...]
> I think I meant to make the indicator bitmap smaller, i.e. have fewer
> members in the above vector.  Since you switch to a size-9 font, which
> is 3/4 of the default size, how about making the above bitmap have 12
> or 13 lines, instead of 17 now?

I reduced the above vector to just 12 lines and the problem still
occurred, same with 10 lines.  Reducing the bitmap to 9 lines,
however, DID FIX the problem.  I saw no corruption on the line when
the bitmap was only 9 lines high.

To be clear, this was the 9 line bitmap that fixed the problem under
Menlo 9 pt font:

(define-fringe-bitmap 'smallest
    (vector #b00000000
            #b00000000
            #b00000000
            #b00010000
            #b00000000
            #b00000000
            #b00000000
            #b00000000
            #b00000000))

(I didn't even realize I could reduce the height of the bitmap in this
way—sorry I misunderstood your original request, I have never used the
fringe APIs before.)

Dale